> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Phone Numbers

> List all phone numbers.



## OpenAPI

````yaml get /api/v1/phone-number
openapi: 3.1.0
info:
  title: Voicebot Public API
  description: Public API for Voicebot Assistant Management
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/phone-number:
    get:
      tags:
        - phone-number
      summary: List Phone Numbers
      description: List all phone numbers.
      operationId: list_phone_numbers_api_v1_phone_number_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PhoneNumberResponse'
                type: array
                title: Response List Phone Numbers Api V1 Phone Number Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    PhoneNumberResponse:
      properties:
        id:
          type: string
          title: Id
        provider:
          type: string
          title: Provider
        number:
          type: string
          title: Number
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        assistantId:
          anyOf:
            - type: string
            - type: 'null'
          title: Assistantid
        squadId:
          anyOf:
            - type: string
            - type: 'null'
          title: Squadid
        fallbackDestination:
          anyOf:
            - $ref: >-
                #/components/schemas/app__schemas__phone_number__TransferDestinationNumber
            - $ref: >-
                #/components/schemas/app__schemas__phone_number__TransferDestinationSip
            - type: 'null'
          title: Fallbackdestination
        serverUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Serverurl
        serverUrlSecret:
          anyOf:
            - type: string
            - type: 'null'
          title: Serverurlsecret
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        orgId:
          anyOf:
            - type: string
            - type: 'null'
          title: Orgid
        twilioAccountSid:
          anyOf:
            - type: string
            - type: 'null'
          title: Twilioaccountsid
        twilioAuthToken:
          anyOf:
            - type: string
            - type: 'null'
          title: Twilioauthtoken
      type: object
      required:
        - id
        - provider
        - number
        - createdAt
        - updatedAt
      title: PhoneNumberResponse
    app__schemas__phone_number__TransferDestinationNumber:
      properties:
        type:
          type: string
          const: number
          title: Type
          default: number
        number:
          type: string
          title: Number
        extension:
          anyOf:
            - type: string
            - type: 'null'
          title: Extension
        callerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Callerid
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        numberE164CheckEnabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Numbere164Checkenabled
          default: true
      type: object
      required:
        - number
      title: TransferDestinationNumber
    app__schemas__phone_number__TransferDestinationSip:
      properties:
        type:
          type: string
          const: sip
          title: Type
          default: sip
        sipUri:
          type: string
          title: Sipuri
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - sipUri
      title: TransferDestinationSip
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````